Bug 24291 - Consistent ^C handling
Summary: Consistent ^C handling
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Debugging   
(Show other bugs)
Version: CVS
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-18 15:26 UTC by George Thomas
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:57:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Thomas 2001-01-18 15:26:35 UTC
The interface between eCos applications and the "ROM monitor" they are
cooperating with needs to be made cleaner.  Currently, different platforms
and architectures use different CDL to describe this (see PPC and SH for
examples - look for CYGSEM_HAL_USE_ROM_MONITOR).

This CDL needs to be made consistent and more importantly, it needs to
more completely describe the relationship between the monitor environment
and the eCos application.  Appropriate support also needs to be in place
in the generic eCos layers.  An example of where/how this matters can be
found at .../hal/common/hal_misc.c - cyg_hal_user_break().  Currently this
code will only build/work when the debug environment is GDB stubs built
using virtual vector support, but that is not clear at all from either
the code conditialization (#if) or the CDL which is used to enable it.

Comment 1 Alex Schuilenburg 2003-06-20 15:57:20 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=24291


Note You need to log in before you can comment on or make changes to this bug.